Bug 11528 - слишком сильно различается поведение обычного dist-upgrade и его же в режиме dry-run.
: слишком сильно различается поведение обычного dist-upgrade и его же в режиме ...
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/apt)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-17 10:45 by
Modified: 2014-10-09 16:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-17 10:45:57
Я пользуюсь dry-run для вычисления списка пакетов, требуемых для обновления.
Пакет vim-common обладал достаточно странными зависимостями:
$ rpm -q --conflicts vim-common
vim-minimal < 4:7.0.218-alt1
vim-minimal > 4:7.0.218-alt1

apt-get dist-upgrade --dry-run
--

--
$ sudo apt-get dist-upgrade --dry-run
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Подсчет обновлений... Завершено
Следующие пакеты будут ОБНОВЛЕНЫ:
  alterator-browser-qt alterator-packages coreutils elinks perl-CGI
perl-XML-LibXML startup sudo vim-X11 vim-X11-gtk2
  vim-common vim-minimal
12 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 0 не будет
обновлено.
Inst coreutils [5.97-alt4] (5.97-alt5 Sisyphus:unstable/)
Inst startup [0.9.8.12-alt1] (0.9.8.13-alt1 Sisyphus:unstable/)
Inst perl-CGI [3.28-alt1] (3.29-alt1 Sisyphus:unstable/)
Inst perl-XML-LibXML [1.62-alt1] (1.63-alt1 Sisyphus:unstable/)
Inst alterator-browser-qt [2.9.48-alt1] (2.9.48-alt2 Sisyphus:unstable/)
Inst alterator-packages [0.5.2-alt9] (0.5.2-alt11 Sisyphus:unstable/)
Inst elinks [0.11.2-alt1.1] (0.11.3-alt1 Sisyphus:unstable/)
Inst sudo [1:1.6.7p5-alt6.1] (1:1.6.8p12-alt1 Sisyphus:unstable/)
Inst vim-X11-gtk2 [4:7.0.218-alt1] (4:7.0.224-alt1 Sisyphus:unstable/) []
Inst vim-X11 [4:7.0.218-alt1] (4:7.0.224-alt1 Sisyphus:unstable/) []
Inst vim-minimal [4:7.0.218-alt1] (4:7.0.224-alt1 Sisyphus:unstable/)
[vim-common on vim-minimal] [vim-common ]
Inst vim-common [4:7.0.218-alt1] (4:7.0.224-alt1 Sisyphus:unstable/)
Conf coreutils (5.97-alt5 Sisyphus:unstable/)
Conf startup (0.9.8.13-alt1 Sisyphus:unstable/)
Conf perl-CGI (3.29-alt1 Sisyphus:unstable/)
Conf perl-XML-LibXML (1.63-alt1 Sisyphus:unstable/)
Conf alterator-browser-qt (2.9.48-alt2 Sisyphus:unstable/)
Conf alterator-packages (0.5.2-alt11 Sisyphus:unstable/)
Conf elinks (0.11.3-alt1 Sisyphus:unstable/)
Conf sudo (1:1.6.8p12-alt1 Sisyphus:unstable/)
Conf vim-common (4:7.0.224-alt1 Sisyphus:unstable/)
Conf vim-X11 (4:7.0.224-alt1 Sisyphus:unstable/)
Conf vim-X11-gtk2 (4:7.0.224-alt1 Sisyphus:unstable/)
Conf vim-minimal (4:7.0.224-alt1 Sisyphus:unstable/)
E: Fatal, conflicts violated vim-common
--

Тем не менее обычный dist-upgrade работает отлично.
------- Comment #1 From 2007-04-17 11:09:56 -------
dry-run у нас официально сломан
------- Comment #2 From 2007-04-17 12:18:08 -------
В данном случае однако он официально работает правильнее
------- Comment #3 From 2007-04-19 01:56:04 -------
У меня не воспроизводится.

Кроме того, приходится додумывать в чем здесь состоит ошибка.  Я так понимаю,
что основная проблема в том, что в низу показано "E: Fatal".  Но не ясно,
одинаковый список пакетов дает --dry-run по сравнению с install или нет.

И я не понял что такое официально сломан или официально работает правильно.
------- Comment #4 From 2007-04-19 11:22:09 -------
raorn должен был исправить пакет, наверное надо сотворить свой.
------- Comment #5 From 2007-04-19 11:36:08 -------
Да, в 4:7.0.218-alt2 это "исправлено", можно проверить на ранних версиях.

На самом деле тут неправ --dry-run, потому как после установки всех пакетов
зависимости удовлетворены.
------- Comment #6 From 2010-04-24 23:26:57 -------
apparently wontfix
------- Comment #7 From 2014-10-09 16:04:55 -------
Полагаться на работоспособность apt-get -s не рекомендуется.